% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/numericUtilities.R
\name{funProbZero}
\alias{funProbZero}
\title{funProbZero}
\usage{
funProbZero(disp, mu)
}
\arguments{
\item{disp}{the estimated dispersion (can be a \eqn{n}-sized vector)}

\item{mu}{the lambda times nu value  (can be a \eqn{n \times m} matrix)}
}
\value{
the probability (matrix) that a count is identically zero
}
\description{
Private function that gives the probability of a sample gene
count being zero given the given the dispersion and mu
}
\details{
Using \eqn{d}{`disp`} for \code{disp} and \eqn{\mu}{`mu`} for \code{mu},
it returns:
\eqn{(1 + d \mu)^{-\frac{1}{d}}}{(1 + `disp` * `mu`)^(-1 / `disp`)}
when \eqn{d > 0}{`disp > 0`} and
\eqn{\exp{((d - 1) \mu)}}{exp((`disp` - 1) * `mu`)} otherwise.
The function is continuous in \eqn{d = 0}{`disp = 0`},
increasing in \eqn{d}{`disp`} and decreasing in \eqn{\mu}{`mu`}.
It returns 0 when \eqn{d = -\infty}{`disp = -Inf`} or
\eqn{\mu = \infty}{`mu = Inf`}.
It returns 1 when \eqn{\mu = 0}{`mu = 0`}.
}
